!! Program Name            : DESCRIP.MMS
!!   Original Author       : JLAURET
!!   Date                  : 22-Jun-2000
!!   Program Description   : Use MM{K|S} /MACRO=(__AXP__=1) on Alpha
!!                         : 

.ifdef __AXP__
OBJ	= OBJ_AXP
EXE	= EXE_AXP
.else
LINKFLAGS = ,sys$Library:vaxcrtl/lib
OBJ	= OBJ_VAX
EXE	= EXE_VAX
.endif

CFLAGS	= $(XCFLAGS)/include=[]


! Add rule to generate C code from HTM file
.HTM.C :
	TEXT2C -w $(MMS$SOURCE) $(MMS$TARGET)


! Start here
IOPERF.$(EXE) : IOPERF.$(OBJ) 
	LINK /EXEC=$(MMS$TARGET) $(MMS$SOURCE) $(LINKFLAGS) 


IOPERF.$(OBJ) :  IOPERF.C IOPERF.H TABLE_FOOT.C TABLE_HEAD.C
	CC /OBJECT=$(MMS$TARGET) $(CFLAGS) $(MMS$SOURCE)
 
TABLE_FOOT.C : [.TEMPLATES]TABLE_FOOT.HTM 
TABLE_HEAD.C : [.TEMPLATES]TABLE_HEAD.HTM 



! The following targets are for management/cleaning purposes
ALL : IOPERF.$(EXE) VMS_BIN.ZIP CLEAN HELP

VMS_BIN.ZIP : IOPERF.$(EXE) 
	ZIP/MOVE/VMS VMS_BIN.ZIP *.OBJ*,*.EXE*

CLEAN :
	@ IF F$SEARCH("*.$(OBJ)").nes."" THEN DELETE/NOLOG/NOCONFIRM *.$(OBJ);*
	@ IF F$SEARCH("*.$(EXE)").nes."" THEN DELETE/NOLOG/NOCONFIRM *.$(EXE);*



HELP : IOPERF.MAN IOPERF.HTML IOPERF.HLP 

IOPERF.MAN : IOPERF.POD
	POD2MAN IOPERF.POD >IOPERF.MAN
IOPERF.HTML : IOPERF.POD
	POD2HTML IOPERF.POD  >IOPERF.HTML
IOPERF.HLP : IOPERF.POD
	POD2HLP IOPERF.POD 
	@ IF F$SEARCH("POD2HTML-ITEMCACHE.;").nes."" THEN DELETE/NOLOG/NOCONFIRM POD2HTML-ITEMCACHE.;*
	@ IF F$SEARCH("POD2HTML-DIRCACHE.;").nes."" THEN DELETE/NOLOG/NOCONFIRM POD2HTML-DIRCACHE.;*


